import { EventEmitter } from '@angular/core';
import { PropertyVO } from '../../../vo/property.vo';
export declare class IdentityClientsUpdatePropertyComponent {
    clientId: string;
    identityClientsUpdatePropertyCreateComponentProp: {
        visible: boolean;
    };
    properties: Array<PropertyVO>;
    propertiesFetching: boolean;
    visible: boolean;
    visibleChange: EventEmitter<boolean>;
    deleteProperty(item: PropertyVO): void;
    fetchProperties(): void;
    handleAfterOpen(): void;
    handleCancel(): void;
    handleIdentityClientsUpdatePropertyCreateComponentOk(): void;
    openIdentityClientsUpdatePropertyCreateComponent(): void;
}
